Install libasound 1.0.14 on Linux build and test SeaMonkey machines

RESOLVED FIXED

Status

SeaMonkey
Release Engineering
P1
blocker
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: Philip Chee, Assigned: ewong)

Tracking

Dependency tree / graph

SeaMonkey Tracking Flags

(seamonkey2.13?)

Details

(Reporter)

Description

6 years ago
From Bug 771973:
> Randell Jesup [:jesup] 2012-07-08 21:43:21 PDT
> 
> As part of adding WebRTC, we upgraded the builders to a slightly more modern 
> version of ALSA -- libasound version 1.0.14 or higher is needed (release ~June 
> 2007).  See bug 697754
> 
> Summary: NEXT ERROR make[7]: *** 
> [audio_device/main/source/linux/audio_device_alsa_linux.o] Error 1 → Seamonkey 
> tinderbox builds failing due to old version of libasound
> [reply] [-] Comment 2 Philip Chee 2012-07-09 03:35:14 PDT
> 
> Thanks for the info Randell.
> bug 697754 links to Bug 734349 - install libasound 1.0.14 on linux build and 
> test machines.
(Reporter)

Updated

6 years ago
Blocks: 771973
Severity: normal → blocker
tracking-seamonkey2.13: --- → ?
Depends on: 734349
Priority: -- → P1
Hardware: x86_64 → All
Summary: Install libasound 1.0.14 on Linux build and test machines → Install libasound 1.0.14 on Linux build and test SeaMonkey machines
Version: unspecified → Trunk
FWIW, newly brought up sea-vm-linux32-2 has the correct alsa versions, the sea-vm-linux64-1 will have it when we get that up, and the other linux machines we have will be decommed in favor of using the sea-vm-linux32-2 image.

So while we can install this on the other linux systems we have now, I would argue that its a waste of time.
(Assignee)

Comment 2

6 years ago
(In reply to Justin Wood (:Callek) from comment #1)
> FWIW, newly brought up sea-vm-linux32-2 has the correct alsa versions, the
> sea-vm-linux64-1 will have it when we get that up, and the other linux
> machines we have will be decommed in favor of using the sea-vm-linux32-2
> image.
> 
> So while we can install this on the other linux systems we have now, I would
> argue that its a waste of time.

Oh right.  We were going to use sea-vm-linux32-2's image as the basis for
the rest of the linux32 machines.   I guess I'll just do cb-seamonkey-linux64-01
then.
Assignee: nobody → ewong
Status: NEW → ASSIGNED
(Assignee)

Comment 3

6 years ago
I've installed the following packages on 
cb-seamonkey-linux64-01:

${platform_httproot}/RPMs/alsa-lib-1.0.17-1.el5.i386.rpm
${platform_httproot}/RPMs/alsa-lib-1.0.17-1.el5.x86_64.rpm
${platform_httproot}/RPMs/alsa-lib-devel-1.0.17-1.el5.i386.rpm 
${platform_httproot}/RPMs/alsa-lib-devel-1.0.17-1.el5.x86_64.rpm 
${platform_httproot}/RPMs/alsa-utils-1.0.17-1.el5.x86_64.rpm
(Assignee)

Comment 4

6 years ago
I've installed the following packages on sea-vm-linux32-1 and 
cn-sea-qm-centos5-01.

${platform_httproot}/RPMs/alsa-lib-1.0.17-1.el5.i386.rpm
${platform_httproot}/RPMs/alsa-lib-devel-1.0.17-1.el5.i386.rpm 
${platform_httproot}/RPMs/alsa-utils-1.0.17-1.el5.i386.rpm

Waiting for the tbpl to show green before closing this bug.
(Assignee)

Comment 5

6 years ago
Seems like this is fixed. Closing bug.
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.